# -*- coding: utf-8 -*-

# aceserver = xbmcaddon.Addon().getSetting('aceserver')
acesrv = "http://127.0.0.1:6878/"

user_agent = 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3'
acelive_url = "http://content.asplaylist.net/cdn/{}.acelive&hlc=1&spv=0" \
              "&transcode_audio=0&transcode_mp3=0&transcode_ac3=0&preferred_audio_language=eng"


class Menu:
    def __init__(self, name, items=None, icon=None):
        self.label = name
        self.icon = icon
        self.image = None
        self.items = items or []


class Source:
    def __init__(self, name, link, icon=None):
        self.label = name
        self.link = link
        self.icon = icon


class AceUrlVideo(Source):
    def __init__(self, name, link, icon=None):
        Source.__init__(self, name, acesrv + 'ace/getstream?url=' + link, icon)


class AceIdVideo(Source):
    def __init__(self, name, link, icon=None):
        Source.__init__(self, name, acesrv + 'ace/manifest.m3u8?id=' + link, icon)


class AceLiveVideo(AceUrlVideo):
    def __init__(self, name, link, icon=None):
        AceUrlVideo.__init__(self, name, acelive_url.format(link), icon)


main_menu = [
    Menu("Lietuviška TV", [
        Source("LNK", "http://asdas545.ddns.net:7891"),
        AceIdVideo("LNK (2)", "74e7f37525aa99fd42e5e04c3f7187c59bf31c9e"),
        Source("BTV", "http://asdas545.ddns.net:9632"),
        Source("Lietuvos Ryto TV", "http://asdas545.ddns.net:1241"),
        Source("TV1", "http://asdas545.ddns.net:1238"),
        Source("Info TV", "http://asdas545.ddns.net:1239"),
        Source("Sport 1", "http://asdas545.ddns.net:1285"),
        AceLiveVideo("LRT KULTURA", "18528"),
        AceLiveVideo("TV3 (Latvija)", "20865"),
    ]),
    Menu("Rusiška TV", [
        AceIdVideo("ТНТ", "304f8e9148e155df59642f3078c2f83c624f621d"),
        AceIdVideo("ТНТ4", "d127c8ae736ff66271f69a35ab91c361ed5256c8"),
        AceIdVideo('ТВЦ', '52c93a8429b6697117adba24a0ab624714a18caa'),
        AceIdVideo('Совершенно секретно', '84aa3cdd92dd766167178843e7fe04ad7ae75665'),
        AceIdVideo('ТВ 3', '056370a1ea55976311fdad9a22d3fdce6f068dc6'),
        AceIdVideo('СТС', '9c59cf92fbf80f078b91d4b15a27985d16e033a0'),
        AceIdVideo('СТРК HD', '781ca4e40064287ee7f667e9494ea1f224c1a19b'),
        AceIdVideo('TV 1000 Action East', 'ea9e38e6e11a34993d8e5b83abd28f34019fee91'),
        AceIdVideo('TV 1000 Русское кино', 'add15eb18ae975d00f22623c083a2d5b5b97318c'),
        AceIdVideo('Paramount Comedy', '645790a21989622ec83216105c943dfb649e1027'),
        AceIdVideo('НТВ Мир', '5885a81073847b2950a674fa3833eb22b0d60842'),
        AceIdVideo('Мультимания', 'bf9a8b78ba7856e98749313c78831b32497c8d5a'),
        AceIdVideo('Футбол', '39215efcc5aedf990c4894903151fc61f6b9aaf6'),
        AceIdVideo('Футбол 1 HD', 'bf24300e088c2b0d400b4cb587dbe1a6c00dff26'),
        AceIdVideo('Футбол 2 HD', 'c77de998c0a0528fa0c2afb3839fb0ed9c14d9f2'),
        AceIdVideo('Матч ТВ', 'd15c8959a4274b2ef1210e4b1669da61890c920c'),
        AceIdVideo('Матч! Арена', 'c52f31c8c024a1637861ebe2da71c146850c031b'),
        AceIdVideo('Матч! Боец', 'f8bac4fdd99b1823b157d35e24c329d511bdfd59'),
        AceIdVideo('Матч! Планета', '577bcbb7787bb0a5823595f9248843c60c7bc885'),
        AceIdVideo('Матч! Футбол 1', '722d6b0165062c8864368d40c0098789a17455d5'),
        AceIdVideo('Матч! Футбол 2', 'e350610ca9320d871dc408d3d31296b3ce9a85c6'),
        AceIdVideo('Матч! Футбол 3', '056679da7d1779d0191c1af2757fef4981acd324'),

    ]),
    Menu("Muzikos TV", [
        AceIdVideo('VH1', 'f8ae2675991b60453698a23d668f3eeb74815054'),
        AceIdVideo('MTV Dance', '0ba0dc4260308ab30f72b04d3d144048fa80023b'),
        AceIdVideo('MTV Live HD', 'b8d446c6a084efec00f5bc9bc6f676855a2408e6'),
    ])
]
